Flags API reference

Flags API · Projects

get/v1/workspaces/{workspace_id}/projectsAuth

List projects

The workspace's projects, oldest first, each with its environments and configs.

Path parameters

workspace_id*string · uuid

Id of the workspace.

Query parameters

cursorstring

Opaque cursor for pagination: the `next_cursor` of the previous page.

limitinteger

Page size.

Response · 200 A page of projects.

data*array

Projects, oldest first.

pagination*object

The cursor for the next page.

Example

Request

GET https://api.flags.productcraft.co/v1/workspaces/{workspace_id}/projects
Authorization: Bearer YOUR_TOKEN

Response

{
  "data": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "workspace_id": "00000000-0000-0000-0000-000000000000",
      "name": "Storefront",
      "description": "",
      "ordinal": 0,
      "environments": [
        {
          "id": "00000000-0000-0000-0000-000000000000",
          "workspace_id": "00000000-0000-0000-0000-000000000000",
          "project_id": "00000000-0000-0000-0000-000000000000",
          "key": "production",
          "name": "Production",
          "color": "#c92a2a",
          "ordinal": 1,
          "protected": true,
          "require_note": false,
          "created_at": "2026-01-01T00:00:00.000Z",
          "updated_at": "2026-01-01T00:00:00.000Z"
        }
      ],
      "configs": [
        {
          "id": "00000000-0000-0000-0000-000000000000",
          "workspace_id": "00000000-0000-0000-0000-000000000000",
          "project_id": "00000000-0000-0000-0000-000000000000",
          "key": "main",
          "name": "Main",
          "description": "",
          "ordinal": 0,
          "created_at": "2026-01-01T00:00:00.000Z",
          "updated_at": "2026-01-01T00:00:00.000Z"
        }
      ],
      "created_at": "2026-01-01T00:00:00.000Z",
      "updated_at": "2026-01-01T00:00:00.000Z"
    }
  ],
  "pagination": {}
}